---
layout: page
title: kube-exam
description: Helm chart for Kubernetes deployment with configurable parameters.
importance: 3
github: https://git.slc.ar/slococo/kube-exam
category: university
---

### Overview

This project involves creating a Helm chart to simplify deploying three containers (REST API, database, React webapp) on Kubernetes. The chart allows easy customization for different needs.

### Key features

- **Easy deployment:** the Helm chart lets you deploy each container separately, making management simpler and more flexible.
- **Customizable settings:** users can tweak settings like the number of API replicas, database version, and SSL setup to suit their needs.
- **Automatic SSL setup:** choosing SSL triggers the chart to create a self-signed certificate automatically, ensuring secure communication within Kubernetes.
- **Resource efficiency:** the chart optimizes Kubernetes resource usage, reducing the need for complex container scripts and boosting performance.
